%define majver %(echo %version | cut -d. -f1-2)
Name:          at-spi2-core
Version:       2.26.1
Release:       1mamba
Summary:       Protocol definitions and daemon for D-Bus at-spi
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/at-spi2-core/%{majver}/at-spi2-core-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libdbus-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libICE-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libuuid-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXevie-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXtst-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
at-spi allows assistive technologies to access GTK-based applications. Essentially it exposes the internals of applications for automation, so tools such as screen readers, magnifiers, or even scripting interfaces can query and interact with GUI controls.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure
#--enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%{_userunitdir}/at-spi-dbus-bus.service
%{_libexecdir}/at-spi-bus-launcher
%{_libexecdir}/at-spi2-registryd
%dir %{_datadir}/defaults/at-spi2
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libatspi.so.*
%{_libdir}/girepository-1.0/Atspi-2.0.typelib

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/at-spi-2.0
%{_includedir}/at-spi-2.0/*
%{_libdir}/libatspi.la
%{_libdir}/libatspi.so
%{_libdir}/pkgconfig/atspi-2.pc
%{_datadir}/gir-1.0/Atspi-2.0.gir

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libatspi
%{_datadir}/gtk-doc/html/libatspi/*

%changelog
* Mon Oct 30 2017 Automatic Build System <autodist@mambasoft.it> 2.26.1-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic version update by autodist

* Tue May 09 2017 Automatic Build System <autodist@mambasoft.it> 2.24.1-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 2.22.0-1mamba
- automatic version update by autodist

* Sun May 22 2016 Automatic Build System <autodist@mambasoft.it> 2.20.2-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic version update by autodist

* Sun Nov 08 2015 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 2.16.0-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 2.14.1-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 2.14.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 2.13.92-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.13.4-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 2.13.1-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sat Aug 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- package created by autospec
